/* About Session */
.about-image {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 1;
}

.about-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    max-width: 100%;
    overflow: hidden;
}

.about-text {
    flex: 1;
    text-align: center;
    z-index: 2;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}

.about-text h1 {
    font-size: 24vw; /* Adjust the font size using viewport width units */
}

.letter-card {
    background-color: #9bb2a2;
    border-radius: 10px;
    padding: 2rem;
    margin: 2rem auto;
    width: 80%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    text-align: left;
    font-family: 'Letter', sans-serif;
}

/* Letter */
.letter-content {
    font-size: 1.2em;
    line-height: 1.5;
}

.smaller-text {
    font-size: 0.8em; /* Adjust the font size as needed */
}

li p {
    margin: 0; /* Remove all margins from <p> elements within <li> */
}

/* Images in the about */
.image-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
}

.image-container img {
    margin: 5px; /* Add spacing between images */
    transition: transform 0.3s; /* Add a transition for smooth scaling */
    max-width: 45%; /* Ensure images don't exceed their parent's width */
    height: auto; /* Maintain aspect ratio */
    
}

.bigger-image {
    width: 55vw; /* Adjust width using viewport width units */
    max-height: 100vh; /* Limit height using viewport height units */
    transition: transform 0.3s; /* Add transition for bigger image */
}

.smaller-image {
    width: 20vw; /* Adjust width using viewport width units */
    max-height: 60vh; /* Limit height using viewport height units */
    transition: transform 0.3s;/* Adjust height using viewport height units */
}

.image-container:hover .bigger-image {
    transform: scale(0.95); /* Slightly scale down the bigger image on container hover */
}

.image-container:hover .smaller-image {
    transform: scale(1.05); /* Expand the smaller image on hover */
}


.bio {
    font-weight: 300;
    font-style: normal;
    font-size: 18px;
    letter-spacing: 0.06em;
    line-height: 1.6;
    text-transform: none;
    text-align: justify;
    margin-top: 4%; /* Centered vertically and horizontally */
    margin-right: 8%; /* Centered vertically and horizontally */
    margin-left: 8%; /* Centered vertically and horizontally */
    max-width: 90%; /* Adjust the maximum width as needed */
}

/*Facts*/

.facts-section {
    text-align: center;
    margin-left: 7.5%;
    margin-top: 4%;
    margin-bottom: 2%;
}

.facts-section h1,
.facts-section h2 {
    margin: 5px;
    text-align: left;
}

/* Icon from the cards */
.tabler-icon { 
    font-size: 4em; 
}

.facts-container {
    width: 1142px;
    margin: 0 auto;
}
 
.facts-box {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-top: 2%;
}

.ag-courses_item {
    -ms-flex-preferred-size: calc(33.33333% - 30px);
    flex-basis: calc(33.33333% - 30px);
    margin: 0 15px 30px;
    overflow: hidden;
    border-radius: 28px;
}

.ag-courses-item_link {
    display: block;
    padding: 30px 20px;
    background-color: #d3e3cc;
    overflow: hidden;
    
    position: relative;
}

.ag-courses-item_title {
    min-height: 87px;
    margin: 0 0 25px;
    overflow: hidden;
    font-weight: bold;
    font-size: 30px;
    color: #291711;
    z-index: 2;
    position: relative;
    transition: opacity 0.2s;
}

.ag-courses-item_context {
    min-height: 20px;
    margin: 0;
    padding: 10px; /* Add padding for spacing */
    overflow: hidden;

    font-weight: bold;
    font-size: 20px;
    color: #535d56;

    transition: opacity 0.3s;
    opacity: 0;
    z-index: 2;

    position: absolute;
    top: 47%; /* Center vertically */
    right: 10%; /* Center horizontally */
    transform: translate(6%, -45%); /* Centering trick */
    width: auto; /* Allow the width to adjust based on content */
    height: auto;
    display: none;
}
.ag-courses-item_bg {
    height: 128px;
    width: 128px;
    background-color: #9bb2a2;

    z-index: 1;
    position: absolute;
    top: -75px;
    right: -75px;

    border-radius: 50%;

    -webkit-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
}

.ag-courses-item_link:hover{
    text-decoration: none;
    color: #291711;
}

.ag-courses-item_link:hover .ag-courses-item_bg {
    -webkit-transform: scale(10);
    -ms-transform: scale(10);
    transform: scale(10);
}

.ag-courses-item_link:hover .ag-courses-item_title {
    opacity: 0; /* Fade out the title on hover */
}

.ag-courses-item_link:hover .ag-courses-item_context {
    display: block; /* Display the context on hover */
    opacity: 1; /* Fade in the context on hover */
}

@media only screen and (max-width: 979px) {
    .ag-courses_item {
    -ms-flex-preferred-size: calc(50% - 30px);
    flex-basis: calc(50% - 30px);
    }
    .ag-courses-item_title {
    font-size: 24px;
    }
}

@media only screen and (max-width: 979px) {
    .ag-courses_item {
    -ms-flex-preferred-size: calc(50% - 30px);
    flex-basis: calc(50% - 30px);
    }
    .ag-courses-item_title {
    font-size: 24px;
    }
}

@media only screen and (max-width: 767px) {
    .facts-container {
    width: 96%;
    }

}
@media only screen and (max-width: 639px) {
    .ag-courses_item {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
    }
    .ag-courses-item_title {
    min-height: 72px;
    line-height: 1;

    font-size: 24px;
    }
    .ag-courses-item_link {
    padding: 22px 40px;
    }
}


/* Tiny apps and Skills */

.content-container {
    display: flex;
    align-items: center;
    justify-content: flex-end; /* Align content to the right */
    margin-top: 1vh; /* Adjust using viewport height units */
    margin-bottom: 15vh; /* Adjust using viewport height units */
    margin-left: 5%; /* Adjust using viewport width units */
    padding: 0;
}

.keyboard {
    max-width: 100%; /* Ensure the image does not exceed the container's width */
    height: auto; /* Maintain the aspect ratio */
    width: 100vw; 
    height: 60vh;
}

.apps-section {
    text-align: center;
    margin-left: 7.5vw; /* Adjust using viewport width units */
    margin-top: 4vh; /* Adjust using viewport height units */
}

.apps-section h1,
.apps-section h2 {
    text-align: left;
}

.applications-container {
    display: flex;
    justify-content: space-evenly;
    margin-right: 6vw; /* Adjust using viewport width units */
}

.applications {
    width: 5vw; /* Adjust using viewport width units */
    height: 12vh; /* Adjust using viewport height units */
    border-radius: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 2vw;
    margin-bottom: 0.5vh; /* Adjust using viewport height units */
    position: relative; /* Needed for tooltips */
}

.applications img {
    max-width: 3.5vw; /* Adjust using viewport width units */
    max-height: 3.5vw; /* Adjust using viewport width units */
}

.description,
.description-two {
    display: block;
    position: absolute;
    bottom: -2vh; /* Adjust using viewport height units */
    left: 50%;
    transform: translateX(-50%);
    margin-top: 0;
    padding: 5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
}

.applications:hover .description {
    opacity: 1;
    transform: translateX(-50%) translateY(-1vh); /* Adjust using viewport height units */
}

.applications:hover .description-two {
    opacity: 1;
    transform: translateX(-50%) translateY(1vh); /* Adjust using viewport height units */
}
